Package com.salesforce.datacloud.jdbc.util

## Interface ThrowingFunction<T,​R,​E extends Exception>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ThrowingFunction<T,​R,​E extends Exception>

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`R` `apply​(T t)`
`static <T,​R,​E extends Exception> Function<T,​R>` `rethrowFunction​(ThrowingFunction<T,​R,​E> function)`
`static <E extends Throwable> void` `throwAsUnchecked​(Exception exception)`

### Method Detail

#### rethrowFunction

    static <T,​R,​E extends Exception> Function<T,​R> rethrowFunction​(ThrowingFunction<T,​R,​E> function)

#### throwAsUnchecked

    static <E extends Throwable> void throwAsUnchecked​(Exception exception)
                                                throws E extends Throwable

Throws:
  `E extends Throwable`

#### apply

    R apply​(T t)
     throws E extends Exception

Throws:
  `E extends Exception`